#global bootstrap 1
Summary: KDE Frameworks 5 Tier 4 workspace and cross-framework integration plugins
Name:    kf5-frameworkintegration
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 2%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/frameworkintegration
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/frameworkintegration-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros >= %{majmin}
BuildRequires:  kf5-kconfig-devel >= %{majmin}, kf5-kconfigwidgets-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}
BuildRequires:  kf5-kiconthemes-devel >= %{majmin}, kf5-kio-devel >= %{majmin}, kf5-knewstuff-devel >= %{majmin}
BuildRequires:  kf5-knotifications-devel >= %{majmin}, kf5-kpackage-devel >= %{majmin}, kf5-kwidgetsaddons-devel >= %{majmin}
BuildRequires:  libXcursor-devel
BuildRequires:  qt5-qtbase-devel, qt5-qtx11extras-devel, qt5-qtbase-private-devel

%if ! 0%{?bootstrap:1}
BuildRequires:  cmake(AppStreamQt), cmake(packagekitqt5)
%endif

Requires:       %{name}-libs = %{version}-%{release}
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%global __provides_exclude_from ^(%{_kf5_plugindir}/.*\\.so)$

%description
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

Applications do not need to link to this directly.

%package        libs
Summary:        Runtime libraries for %{name}.
Requires:       %{name} = %{version}-%{release}

%description    libs
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       kf5-kiconthemes-devel >= %{majmin}
Requires:       kf5-kconfigwidgets-devel >= %{majmin}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n frameworkintegration-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%files
%license LICENSES/*.txt
%doc README.md
%dir %{_kf5_libexecdir}/kpackagehandlers
%{_kf5_libexecdir}/kpackagehandlers/knshandler
%{_kf5_datadir}/kf5/infopage/
%{_kf5_datadir}/knotifications5/plasma_workspace.notifyrc
%if ! 0%{?bootstrap:1}
%{_kf5_libexecdir}/kpackagehandlers/appstreamhandler
%endif

%files libs
%{_kf5_libdir}/libKF5Style.so.*
%{_kf5_plugindir}/FrameworkIntegrationPlugin.so

%files devel
%{_kf5_includedir}/FrameworkIntegration/
%{_kf5_includedir}/KStyle/
%{_kf5_libdir}/libKF5Style.so
%{_kf5_libdir}/cmake/KF5FrameworkIntegration/


%changelog
* Wed Jan 24 2024 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-2
- non-bootstrap building

* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
